Loading...
Searching...
No Matches
gx_engine::OscilloscopeAdapter Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::OscilloscopeAdapter:

## Public Member Functions

void | clear_buffer ()
unsigned int | get_size () const
float * | get_buffer () const
int | get_mul_buffer ()
void | set_mul_buffer (int a, unsigned int b)
| OscilloscopeAdapter (ModuleSequencer &engine)
void | set_jack (gx_jack::GxJack &jack)

## Public Attributes

OscilloscopeInfo | info
Plugin | plugin

## Private Member Functions

void | change_buffersize (unsigned int)

## Static Private Member Functions

static void | fill_buffer (int count, float *input0, float *output0, PluginDef *)
static int | osc_register (const ParamReg &reg)
static int | osc_load_ui (const UiBuilder &builder, int format)

## Private Attributes

ParamMap & | pmap
int | mul_buffer
Private Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 200 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## OscilloscopeAdapter()

gx_engine::OscilloscopeAdapter::OscilloscopeAdapter | ( | ModuleSequencer & | engine | ) |

## Member Function Documentation

## change_buffersize()

void gx_engine::OscilloscopeAdapter::change_buffersize | ( | unsigned int |  | ) |

private

Referenced by set_mul_buffer().

## clear_buffer()

void gx_engine::OscilloscopeAdapter::clear_buffer | ( |  | ) |

## fill_buffer()

void gx_engine::OscilloscopeAdapter::fill_buffer | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | )

static private

## get_buffer()

float * gx_engine::OscilloscopeAdapter::get_buffer | ( |  | ) | const

inline

Definition at line 214 of file gx_internal_plugins.h.

## get_mul_buffer()

int gx_engine::OscilloscopeAdapter::get_mul_buffer | ( |  | ) |

inline

Definition at line 215 of file gx_internal_plugins.h.

## get_size()

unsigned int gx_engine::OscilloscopeAdapter::get_size | ( |  | ) | const

inline

Definition at line 213 of file gx_internal_plugins.h.

## osc_load_ui()

int gx_engine::OscilloscopeAdapter::osc_load_ui | ( | const UiBuilder & | builder,
|  | int | format )

static private

## osc_register()

int gx_engine::OscilloscopeAdapter::osc_register | ( | const ParamReg & | reg | ) |

static private

## set_jack()

void gx_engine::OscilloscopeAdapter::set_jack | ( | gx_jack::GxJack & | jack | ) |

inline

Definition at line 218 of file gx_internal_plugins.h.

## set_mul_buffer()

void gx_engine::OscilloscopeAdapter::set_mul_buffer | ( | int | a,
|  | unsigned int | b )

inline

Definition at line 216 of file gx_internal_plugins.h.

## Member Data Documentation

## info

OscilloscopeInfo gx_engine::OscilloscopeAdapter::info

Definition at line 202 of file gx_internal_plugins.h.

Referenced by get_buffer(), get_size(), and set_jack().

## mul_buffer

int gx_engine::OscilloscopeAdapter::mul_buffer

private

Definition at line 209 of file gx_internal_plugins.h.

Referenced by get_mul_buffer(), and set_mul_buffer().

## plugin

Plugin gx_engine::OscilloscopeAdapter::plugin

Definition at line 211 of file gx_internal_plugins.h.

## pmap

ParamMap& gx_engine::OscilloscopeAdapter::pmap

private

Definition at line 204 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h